package com.grid2example.androidiggridsample2;

import android.graphics.Color;

import com.infragistics.controls.IGCellPath;
import com.infragistics.controls.IGColumnDefinition;
import com.infragistics.controls.IGGridView;
import com.infragistics.controls.IGGridViewCell;
import com.infragistics.controls.IGGridViewCellBase;
import com.infragistics.controls.IGGridViewTextCell;
import com.infragistics.controls.IGListAdapter;
import com.infragistics.controls.IGTextColumn;

/**
 * Created by rstoffers on 12/5/2014.
 */
public class YesNoColumn extends IGColumnDefinition {

    public YesNoColumn(String key) {
        super(key);
    }

    @Override
    protected IGGridViewCell getCell(IGGridView igGridView, IGListAdapter igListAdapter, IGCellPath igCellPath) {
        Object cellValue = igListAdapter.resolveValue(igCellPath);
        if (cellValue == null)
            return null;

        CustomTextCell cell = null;
        if (cellValue.toString() == "Yes") {
            cell = (CustomTextCell)igGridView.dequeueCellById("Yes");
            if (cell == null)
                cell = new CustomTextCell(igGridView.getContext(), "Yes");

            cell.setBackgroundColor(Color.GREEN);
            cell.getTextView().setText(cellValue.toString());
        }
        else if (cellValue.toString() == "No") {
            cell = (CustomTextCell)igGridView.dequeueCellById("No");
            if (cell == null)
                cell = new CustomTextCell(igGridView.getContext(), "No");

            cell.setBackgroundColor(Color.RED);
            cell.getTextView().setText(cellValue.toString());
        }

        return cell;
    }
}
